/*ScianObjFunctions.h
  Eric Pepke
  April 9, 1992
  External stuff for object functions*/

#define OF_PICK_UP		"Pick Up"
#define OF_SHOW_CONTROLS	"Show Controls"
#define OF_EDIT_PALETTE		"Edit Palette"
#define OF_OPEN			"Open"
#define OF_CONNECT_TO_PROCESS	"Connect to Process"
#define OF_VISUALIZE		"Visualize"
#define OF_VISUALIZE_AS		"Visualize As..."
#define OF_MODIFY		"Modify..."
#define OF_TURNON		"Turn On"
#define OF_TURNOFF		"Turn Off"
#define OF_DUPLICATE		"Duplicate"
#define OF_DELETE		"Delete"
#define OF_LOCALCOPY		"Detach Local Copy"
#define OF_ACTIVATE		"Activate"
#define OF_SETFORMAT		"Set Format"
#define OF_SHOWINFO		"Show Info"
#define OF_BRINGTOTOP		"Bring to Top"
#define OF_PUSHTOBOTTOM		"Push to Bottom"
#define OF_MOVETOBACKPANEL	"Move to Back Panel"
#define OF_MOVETOFRONTPANEL	"Move to Front Panel"
#define OF_ADVERTISE		"Publish Object"
#define OF_UNADVERTISE		"Recall from Publication"
#define OF_ALIGNLEFT		"Align Left"
#define OF_ALIGNCENTER		"Align Center"
#define OF_ALIGNRIGHT		"Align Right"
#define OF_SETFONTSIZE		"Set Size"
#define OF_SETFONT		"Set Font"
#define OF_RENAME		"Rename..."

/*Undo types*/
#define UT_NONE			0	/*No undo*/
#define UT_CHANGESNAPSHOT	1	/*Change an object's snapshot*/

#ifdef PROTO
void InitObjFunctions(void);
void KillObjFunctions(void);
void DoObjFunction(char *);
void AdjustObjButtons(void);
ObjPtr NewFunctionButton(WinInfoPtr, int, int, int, int, char *);
Bool ObjFunctionScriptLine(char *);
void LogObjFunction(char *, ObjPtr);
void LogSelectedObjFunction(char *);
void DoDoubleClickFunction(void);
ObjPtr LogSpacedObject(ObjPtr);
void Undo(void);
ObjPtr NewUndo(int undoType);
void BeginUndo(int undoType);
void EndUndo(void);
void SaveSnapshotForUndo(ObjPtr);
void SaveForUndo(ObjPtr);
#else
void InitObjFunctions();
void KillObjFunctions();
void DoObjFunction();
void AdjustObjButtons();
ObjPtr NewFunctionButton();
Bool ObjFunctionScriptLine();
void LogObjFunction();
void LogSelectedObjFunction();
void DoDoubleClickFunction();
ObjPtr LogSpacedObject();
void Undo();
ObjPtr NewUndo();
void BeginUndo();
void EndUndo();
void SaveSnapshotForUndo();
void SaveForUndo();
#endif
